package cmd

import (
	"github.com/spf13/cobra"
	"lab.libreho.st/libre.sh/docker/rc-apps-mgr/internal"

	"github.com/spf13/viper"
)

var cfgFile string

var rootCmd = &cobra.Command{
	Use:   "rc-apps-mgr",
	Short: "A cli to manage RC apps without the marketplace",
}

func Execute() {
	cobra.CheckErr(rootCmd.Execute())
}

func init() {
	cobra.OnInitialize(initConfig)
	rootCmd.PersistentFlags().StringVar(&cfgFile, "config", "config.yaml", "config file")
}

func initConfig() {
	viper.SetConfigFile(cfgFile)
	viper.AutomaticEnv()
	viper.ReadInConfig()
	internal.Mkdir()
}
