package internal

import (
	"encoding/json"
	"io/ioutil"
	"os"
)

func ReadCache() []App {
	data, err := ioutil.ReadFile(LocalPath("cache.json"))
	if err != nil && os.IsNotExist(err) {
		return []App{}
	}
	DieOnError(err)
	var apps []App
	err = json.Unmarshal(data, &apps)
	DieOnError(err)
	return apps

}

func WriteCache(apps []App) {
	data, err := json.Marshal(apps)
	DieOnError(err)
	err = ioutil.WriteFile(LocalPath("cache.json"), data, 0644)
	DieOnError(err)
}
