package internal

import (
	"fmt"
	"log"
	"os"

	"github.com/go-resty/resty/v2"
)

func DieOnError(err error) {
	if err != nil {
		log.Fatal(err)
	}
}

func DieOnResponseError(resp *resty.Response) {
	if resp.IsError() {
		log.Fatal(string(resp.Body()))
	}
}

func LocalPath(filename string) string {
	return fmt.Sprintf(".rc-apps-mgr/%s", filename)
}

func Mkdir() {
	err := os.Mkdir(".rc-apps-mgr", 0744)
	if err != nil && os.IsExist(err) {
		return
	}
	DieOnError(err)
}
